Subject: bug#14411: 24.3.50; compile.el: Better file search for parallel builds

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Oct 2020 16:49:39 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>> I don't mind installing the feature.  But can we just make sure it is
>> still effective, with modern Make and our current Makefiles?
>
> Well, this isn't just an issue with Emacs' Makefiles, but any project
> that's building under `M-x compile'.

I went ahead and installed the change in Emacs 28 -- it shouldn't break
anything (I hope; I've tried a couple of test cases by rearranging the
output in the *compilation* buffer and seeing that it doesn't), and it
should help make this work automatically for those who see this problem.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no